/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BENCH_UPROBE_BPF_SKEL_H__
#define __BENCH_UPROBE_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bench_uprobe_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *empty;
		struct bpf_program *trace_printk;
	} progs;
	struct {
		struct bpf_link *empty;
		struct bpf_link *trace_printk;
	} links;
	struct bench_uprobe_bpf__bss {
		unsigned int nr_uprobes;
	} *bss;

#ifdef __cplusplus
	static inline struct bench_uprobe_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bench_uprobe_bpf *open_and_load();
	static inline int load(struct bench_uprobe_bpf *skel);
	static inline int attach(struct bench_uprobe_bpf *skel);
	static inline void detach(struct bench_uprobe_bpf *skel);
	static inline void destroy(struct bench_uprobe_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bench_uprobe_bpf__destroy(struct bench_uprobe_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bench_uprobe_bpf__create_skeleton(struct bench_uprobe_bpf *obj);

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bench_uprobe_bpf *obj;
	int err;

	obj = (struct bench_uprobe_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bench_uprobe_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bench_uprobe_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open(void)
{
	return bench_uprobe_bpf__open_opts(NULL);
}

static inline int
bench_uprobe_bpf__load(struct bench_uprobe_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open_and_load(void)
{
	struct bench_uprobe_bpf *obj;
	int err;

	obj = bench_uprobe_bpf__open();
	if (!obj)
		return NULL;
	err = bench_uprobe_bpf__load(obj);
	if (err) {
		bench_uprobe_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bench_uprobe_bpf__attach(struct bench_uprobe_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bench_uprobe_bpf__detach(struct bench_uprobe_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bench_uprobe_bpf__elf_bytes(size_t *sz);

static inline int
bench_uprobe_bpf__create_skeleton(struct bench_uprobe_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bench_uprobe_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bench_up.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "empty";
	s->progs[0].prog = &obj->progs.empty;
	s->progs[0].link = &obj->links.empty;

	s->progs[1].name = "trace_printk";
	s->progs[1].prog = &obj->progs.trace_printk;
	s->progs[1].link = &obj->links.trace_printk;

	s->data = bench_uprobe_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bench_uprobe_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1a\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x25\0\0\0\x73\x1a\xfd\
\xff\0\0\0\0\xb7\x01\0\0\x6f\0\0\0\x73\x1a\xf9\xff\0\0\0\0\xb7\x01\0\0\x75\0\0\
\0\x73\x1a\xfe\xff\0\0\0\0\x73\x1a\xf6\xff\0\0\0\0\xb7\x01\0\0\x68\0\0\0\x73\
\x1a\xf4\xff\0\0\0\0\xb7\x01\0\0\x63\0\0\0\x73\x1a\xf3\xff\0\0\0\0\xb7\x01\0\0\
\x6e\0\0\0\x73\x1a\xf2\xff\0\0\0\0\xb7\x01\0\0\x62\0\0\0\x73\x1a\xfa\xff\0\0\0\
\0\x73\x1a\xf0\xff\0\0\0\0\xb7\x01\0\0\x20\0\0\0\x73\x1a\xfc\xff\0\0\0\0\x73\
\x1a\xf5\xff\0\0\0\0\x73\x1a\xef\xff\0\0\0\0\xb7\x01\0\0\x66\0\0\0\x73\x1a\xee\
\xff\0\0\0\0\xb7\x01\0\0\x72\0\0\0\x73\x1a\xf8\xff\0\0\0\0\x73\x1a\xed\xff\0\0\
\0\0\xb7\x01\0\0\x65\0\0\0\x73\x1a\xfb\xff\0\0\0\0\x73\x1a\xf1\xff\0\0\0\0\x73\
\x1a\xec\xff\0\0\0\0\xb7\x01\0\0\x70\0\0\0\x73\x1a\xf7\xff\0\0\0\0\x73\x1a\xeb\
\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x73\x1a\xff\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x13\0\0\0\0\0\0\x07\x03\0\0\x01\0\0\0\x63\x31\0\0\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xeb\xff\xff\xff\xb7\x02\0\0\x15\0\0\0\x85\0\0\
\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\
\x44\x2f\x47\x50\x4c\0\0\0\0\x01\x11\x01\x25\x25\x13\x05\x03\x25\x72\x17\x10\
\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\0\0\x02\x34\0\x03\x25\x49\x13\x3f\x19\x3a\
\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\
\x05\x24\0\x03\x25\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\
\x07\x34\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x1c\x0f\0\0\x08\x0f\0\x49\x13\0\0\
\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\x0b\x18\0\0\0\x0c\x26\0\
\x49\x13\0\0\x0d\x16\0\x49\x13\x03\x25\x3a\x0b\x3b\x0b\0\0\x0e\x2e\x01\x11\x1b\
\x12\x06\x40\x18\x7a\x19\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\
\x0f\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x10\x2e\x01\x03\x25\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x20\x21\x01\0\0\x11\x34\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\
\0\0\x12\x13\0\x03\x25\x3c\x19\0\0\x13\x1d\x01\x31\x13\x11\x1b\x12\x06\x58\x0b\
\x59\x0b\x57\x0b\0\0\x14\x34\0\x02\x18\x31\x13\0\0\0\xf9\0\0\0\x05\0\x01\x08\0\
\0\0\0\x01\0\x1d\0\x01\x08\0\0\0\0\0\0\0\x02\x02\x78\x01\0\0\x08\0\0\0\x02\x03\
\x2e\0\0\0\0\x17\x02\xa1\0\x03\x3a\0\0\0\x04\x3e\0\0\0\x0d\0\x05\x04\x06\x01\
\x06\x05\x08\x07\x02\x06\x4d\0\0\0\0\x06\x02\xa1\x01\x05\x07\x07\x04\x07\x08\
\x5a\0\0\0\x02\xb1\x06\x08\x5f\0\0\0\x09\x70\0\0\0\x0a\x74\0\0\0\x0a\x7e\0\0\0\
\x0b\0\x05\x09\x05\x08\x08\x79\0\0\0\x0c\x3a\0\0\0\x0d\x4d\0\0\0\x0a\x01\x1b\
\x0e\x02\x10\0\0\0\x01\x5a\x10\0\x09\xb7\0\0\0\x0f\x0d\0\x09\xbb\0\0\0\0\x10\
\x0b\0\x0f\xb7\0\0\0\x0f\x0d\0\x0f\xbb\0\0\0\x11\x0f\0\x11\xc2\0\0\0\0\x05\x0c\
\x05\x04\x08\xc0\0\0\0\x12\x0e\x03\x3a\0\0\0\x04\x3e\0\0\0\x15\0\x0e\x03\x68\
\x01\0\0\x01\x5a\x11\0\x0f\xb7\0\0\0\x0f\x0d\0\x0f\xbb\0\0\0\x13\x9e\0\0\0\x04\
\x50\x01\0\0\0\x0f\x05\x14\x02\x91\x03\xae\0\0\0\0\0\0\x4c\0\0\0\x05\0\0\0\0\0\
\0\0\x2c\0\0\0\x4d\0\0\0\xc7\0\0\0\xcf\0\0\0\xd4\0\0\0\xe8\0\0\0\xf3\0\0\0\0\
\x01\0\0\x11\x01\0\0\x16\x01\0\0\x1c\x01\0\0\x2d\x01\0\0\x31\x01\0\0\x35\x01\0\
\0\x3d\x01\0\0\x41\x01\0\0\x47\x01\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\
\x69\x6f\x6e\x20\x31\x38\x2e\x31\x2e\x32\x20\x28\x46\x65\x64\x6f\x72\x61\x20\
\x31\x38\x2e\x31\x2e\x32\x2d\x31\x2e\x66\x63\x34\x31\x29\0\x75\x74\x69\x6c\x2f\
\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x65\x6e\x63\x68\x5f\x75\x70\x72\x6f\
\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x39\x2d\x72\x63\x32\x2d\x38\x30\x2d\x67\x63\x38\x35\x61\x66\x37\x31\x35\
\x63\x61\x63\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x39\x2e\x30\x2d\x30\x2e\
\x72\x63\x32\x2e\x32\x30\x32\x34\x30\x34\x30\x34\x67\x69\x74\x63\x38\x35\x61\
\x66\x37\x31\x35\x63\x61\x63\x30\x2e\x32\x36\x2e\x66\x63\x34\x31\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6e\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x62\x70\x66\x5f\x74\x72\x61\
\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\
\x5f\x5f\x5f\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x69\x6e\x74\
\0\x63\x74\x78\0\x70\x74\x5f\x72\x65\x67\x73\0\x66\x6d\x74\0\x65\x6d\x70\x74\
\x79\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x2c\0\0\0\x05\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\x98\x01\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\
\0\x09\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x11\0\0\0\x01\
\0\0\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\xcf\0\0\0\
\x01\0\0\x0c\x06\0\0\0\x52\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x0d\0\0\0\x57\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\x6b\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x73\x01\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\x80\x01\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x8b\x01\0\0\x01\0\0\
\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x90\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\
\0\0\0\0\0\0\x0d\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\
\x74\0\x65\x6d\x70\x74\x79\0\x75\x70\x72\x6f\x62\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x39\x2d\x72\x63\x32\x2d\x38\x30\x2d\x67\x63\x38\x35\
\x61\x66\x37\x31\x35\x63\x61\x63\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x39\
\x2e\x30\x2d\x30\x2e\x72\x63\x32\x2e\x32\x30\x32\x34\x30\x34\x30\x34\x67\x69\
\x74\x63\x38\x35\x61\x66\x37\x31\x35\x63\x61\x63\x30\x2e\x32\x36\x2e\x66\x63\
\x34\x31\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\
\x66\x2f\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x65\x6e\
\x63\x68\x5f\x75\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x65\x6d\x70\x74\x79\x29\0\x74\x72\
\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\
\x50\x52\x4f\x42\x45\x28\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x29\0\
\x09\x63\x68\x61\x72\x20\x66\x6d\x74\x5b\x5d\x20\x3d\x20\x22\x70\x65\x72\x66\
\x20\x62\x65\x6e\x63\x68\x20\x75\x70\x72\x6f\x62\x65\x20\x25\x75\x22\x3b\0\x09\
\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\x6d\
\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\x20\x2b\x2b\x6e\
\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\x29\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\
\x45\x4e\x53\x45\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6e\x72\
\x5f\x75\x70\x72\x6f\x62\x65\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x7c\0\0\0\x98\0\0\0\
\0\0\0\0\x08\0\0\0\x17\0\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x07\0\0\0\
\x10\0\0\0\x17\0\0\0\x07\0\0\0\0\0\0\0\x1e\0\0\0\xb9\0\0\0\x05\x24\0\0\x10\0\0\
\0\x1e\0\0\0\xdc\0\0\0\0\x3c\0\0\x18\0\0\0\x1e\0\0\0\xf9\0\0\0\x07\x44\0\0\x20\
\x01\0\0\x1e\0\0\0\x1f\x01\0\0\x25\x4c\0\0\x50\x01\0\0\x1e\0\0\0\xf9\0\0\0\x07\
\x44\0\0\x58\x01\0\0\x1e\0\0\0\x1f\x01\0\0\x02\x4c\0\0\x68\x01\0\0\x1e\0\0\0\
\xdc\0\0\0\x05\x3c\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x68\x01\0\0\0\0\0\0\x9b\0\0\0\x05\0\x08\0\x69\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\x1f\x03\0\0\0\0\x7a\0\0\0\x93\
\0\0\0\x03\x01\x1f\x02\x0f\x05\x1e\x03\xa4\0\0\0\0\xc4\x70\x99\x35\x3f\x48\x7e\
\x71\xd4\x55\x10\x59\x52\x31\xcd\xee\xc5\0\0\0\x01\xb8\x10\xf2\x70\x73\x3e\x10\
\x63\x19\xb6\x7e\xf5\x12\xc6\x24\x6e\xd0\0\0\0\x02\x74\x22\xca\x06\xc9\xdc\x86\
\xeb\xa2\xf2\x68\xa5\x7d\x8a\xcf\x2f\x04\0\x05\x05\x0a\0\x09\x02\0\0\0\0\0\0\0\
\0\x1a\x05\0\x34\x05\x07\x0a\x22\x05\x25\x08\xf4\x05\x07\x64\x05\x02\x22\x05\
\x05\x2a\x02\x02\0\x01\x01\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x39\
\x2d\x72\x63\x32\x2d\x38\x30\x2d\x67\x63\x38\x35\x61\x66\x37\x31\x35\x63\x61\
\x63\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x39\x2e\x30\x2d\x30\x2e\x72\x63\
\x32\x2e\x32\x30\x32\x34\x30\x34\x30\x34\x67\x69\x74\x63\x38\x35\x61\x66\x37\
\x31\x35\x63\x61\x63\x30\x2e\x32\x36\x2e\x66\x63\x34\x31\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x2f\x75\x73\x72\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x75\x74\x69\x6c\
\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x65\x6e\x63\x68\x5f\x75\x70\x72\
\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\
\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8a\0\0\0\x12\0\x03\0\x10\0\0\0\0\0\
\0\0\x68\x01\0\0\0\0\0\0\x44\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x05\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\
\0\x01\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\x03\0\0\0\x11\0\0\0\0\0\0\0\
\x03\0\0\0\x04\0\0\0\x15\0\0\0\0\0\0\0\x03\0\0\0\x08\0\0\0\x1f\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x10\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x18\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1c\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x24\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x28\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x30\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x34\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x38\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x3c\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x44\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x4c\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x0d\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x0c\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x28\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\xf8\0\0\0\0\0\0\0\
\x04\0\0\0\x0c\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x2c\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x34\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x48\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x68\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x78\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x88\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x98\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xa8\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x30\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x22\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x26\0\0\0\0\0\0\0\
\x03\0\0\0\x09\0\0\0\x2a\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x36\0\0\0\0\0\0\0\
\x03\0\0\0\x09\0\0\0\x4b\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x60\0\0\0\0\0\0\0\
\x03\0\0\0\x09\0\0\0\x7d\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x0a\x0b\x0d\0\x65\
\x6d\x70\x74\x79\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\
\x73\0\x2e\x62\x73\x73\0\x6e\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\0\x2e\x64\x65\
\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\x5f\
\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x61\x64\x64\x72\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x74\x72\x61\x63\
\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\
\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\
\x61\x6d\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\0\x62\x65\x6e\x63\x68\
\x5f\x75\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\
\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x0f\0\0\0\0\0\0\x0d\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xa5\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x01\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x3f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\xf6\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbe\x02\0\0\0\0\0\0\xfd\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x20\x0c\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x19\0\0\0\x08\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbb\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x28\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0c\0\
\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x19\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x4f\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x04\0\0\0\0\
\0\0\x54\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x6e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x05\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0d\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\x19\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\x01\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x05\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xd0\x0d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x19\0\0\0\x0f\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x08\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x0d\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x19\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xc1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbd\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0e\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x19\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb1\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x09\0\0\0\0\0\0\x9f\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0e\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x19\0\0\0\
\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd7\x09\0\0\0\0\0\0\xe2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x97\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\
\0\0\0\0\0\0\0\0\0\x30\x0f\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc0\x0a\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bench_uprobe_bpf *bench_uprobe_bpf::open(const struct bpf_object_open_opts *opts) { return bench_uprobe_bpf__open_opts(opts); }
struct bench_uprobe_bpf *bench_uprobe_bpf::open_and_load() { return bench_uprobe_bpf__open_and_load(); }
int bench_uprobe_bpf::load(struct bench_uprobe_bpf *skel) { return bench_uprobe_bpf__load(skel); }
int bench_uprobe_bpf::attach(struct bench_uprobe_bpf *skel) { return bench_uprobe_bpf__attach(skel); }
void bench_uprobe_bpf::detach(struct bench_uprobe_bpf *skel) { bench_uprobe_bpf__detach(skel); }
void bench_uprobe_bpf::destroy(struct bench_uprobe_bpf *skel) { bench_uprobe_bpf__destroy(skel); }
const void *bench_uprobe_bpf::elf_bytes(size_t *sz) { return bench_uprobe_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bench_uprobe_bpf__assert(struct bench_uprobe_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_uprobes) == 4, "unexpected size of 'nr_uprobes'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BENCH_UPROBE_BPF_SKEL_H__ */
